changeset 1469:558b990afadc

Oops, unbreak make.sh. Clearing out old .o files needs -r now that generated/obj has its own subdirectory. (Works if you make clean between, but shouldn't need it.)
author Rob Landley <rob@landley.net>
date Thu, 11 Sep 2014 00:04:37 -0500
parents 6fd5e556f89d
children 4f25d3a3eda9
files scripts/make.sh
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/make.sh	Tue Sep 09 23:44:48 2014 -0500
+++ b/scripts/make.sh	Thu Sep 11 00:04:37 2014 -0500
@@ -172,7 +172,7 @@
 
 # This is a parallel version of: do_loudly $BUILD $FILES $LINK || exit 1
 
-rm -f generated/obj && mkdir -p generated/obj || exit 1
+rm -rf generated/obj && mkdir -p generated/obj || exit 1
 PENDING=
 for i in $FILES
 do